Skills and installations APIs
Skill endpoints
- GET
/api/v1/skills - POST
/api/v1/skills - PATCH
/api/v1/skill
Request
Response
Installation endpoints
- GET
/api/v1/skill/installations - POST
/api/v1/skill/install - POST
/api/v1/skill/uninstall
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Skill lifecycle and installation management endpoints.
/api/v1/skills/api/v1/skills/api/v1/skillcurl -X POST "$MCPFACTORY_BASE_URL/api/v1/skills" \
-H "Authorization: Bearer $MCPFACTORY_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "prj_123", "name": "refund-helper" }'
{
"skill": {
"id": "skl_123",
"projectId": "prj_123",
"name": "refund-helper",
"status": "draft"
}
}
/api/v1/skill/installations/api/v1/skill/install/api/v1/skill/uninstallcurl -X POST "$MCPFACTORY_BASE_URL/api/v1/skill/install" \
-H "Authorization: Bearer $MCPFACTORY_API_KEY"
{
"installation": {
"id": "ins_123",
"skillId": "skl_123",
"status": "active"
}
}